import unittest
from string_calculator import StringCalculator

class TestStringCalculator(unittest.TestCase):
    """Test suite for the StringCalculator class."""

    def setUp(self):
        """neue Instanz des StringCalculators vor jedem Test """
        self.calculator = StringCalculator()
    def test_empty_string_returns_zero(self):
        
        """Test: Leerer String soll 0 ergeben"""
        self.assertEqual(self.calculator.add(""), 0)

    def test_single_number_returns_value(self):
        
        """Test: Ein einzelner Wert soll zurückgegeben werden"""
        self.assertEqual(self.calculator.add("1"), 1)

    def test_two_numbers_return_sum(self):
       
        """Test: Zwei Zahlen sollen summiert werden"""
        self.assertEqual(self.calculator.add("1,2"), 3)
    

       
     





        

